PLplot: plplot::plcolorbar Interface Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
plplot::plcolorbar Interface Reference

## Public Member Functions
subroutine | plcolorbar_1 (p_colorbar_width, p_colorbar_height, opt, position, x, y, x_length, y_length, bg_color, bb_color, bb_style, low_cap_color, high_cap_color, cont_color, cont_width, n_labels, label_opts, labels, n_axes, axis_opts, ticks, sub_ticks, n_values, values)
subroutine | plcolorbar_2 (p_colorbar_width, p_colorbar_height, opt, position, x, y, x_length, y_length, bg_color, bb_color, bb_style, low_cap_color, high_cap_color, cont_color, cont_width, label_opts, labels, axis_opts, ticks, sub_ticks, n_values, values)

## Detailed Description

Definition at line 206 of file sfstubsf95.f90.

## Member Function Documentation

subroutine plplot::plcolorbar::plcolorbar_1 | ( | real (kind=plflt) | p_colorbar_width,
|  | real (kind=plflt) | p_colorbar_height,
|  | integer | opt,
|  | integer | position,
|  | real (kind=plflt) | x,
|  | real (kind=plflt) | y,
|  | real (kind=plflt) | x_length,
|  | real (kind=plflt) | y_length,
|  | integer | bg_color,
|  | integer | bb_color,
|  | integer | bb_style,
|  | real (kind=plflt) | low_cap_color,
|  | real (kind=plflt) | high_cap_color,
|  | integer | cont_color,
|  | real (kind=plflt) | cont_width,
|  | integer | n_labels,
|  | integer, dimension(:) | label_opts,
|  | character(len=*), dimension(:) | labels,
|  | integer | n_axes,
|  | character(len=*), dimension(:) | axis_opts,
|  | real (kind=plflt), dimension(:) | ticks,
|  | integer, dimension(:) | sub_ticks,
|  | integer, dimension(:) | n_values,
|  | real (kind=plflt), dimension(:,:) | values
| ) |  |

Definition at line 1024 of file sfstubsf95.f90.

subroutine plplot::plcolorbar::plcolorbar_2 | ( | real (kind=plflt) | p_colorbar_width,
|  | real (kind=plflt) | p_colorbar_height,
|  | integer | opt,
|  | integer | position,
|  | real (kind=plflt) | x,
|  | real (kind=plflt) | y,
|  | real (kind=plflt) | x_length,
|  | real (kind=plflt) | y_length,
|  | integer | bg_color,
|  | integer | bb_color,
|  | integer | bb_style,
|  | real (kind=plflt) | low_cap_color,
|  | real (kind=plflt) | high_cap_color,
|  | integer | cont_color,
|  | real (kind=plflt) | cont_width,
|  | integer, dimension(:) | label_opts,
|  | character(len=*), dimension(:) | labels,
|  | character(len=*), dimension(:) | axis_opts,
|  | real (kind=plflt), dimension(:) | ticks,
|  | integer, dimension(:) | sub_ticks,
|  | integer, dimension(:) | n_values,
|  | real (kind=plflt), dimension(:,:) | values
| ) |  |

Definition at line 1060 of file sfstubsf95.f90.

The documentation for this interface was generated from the following file:

- sfstubsf95.f90